Chatbot Analytics
Retrieves analytics for a specific chatbot within a date range.
Authorizations
x-api-keystringRequired
Path parameters
chatbot_idstringRequired
The ID of the chatbot to get analytics for
Query parameters
start_datestring · dateRequired
The start date for the analytics range (inclusive)
end_datestring · dateRequired
The end date for the analytics range (inclusive)
Responses
200
Successful response
application/json
totalMessagesintegerOptional
Total messages processed by all chatbots
totalChatbotsintegerOptional
Total number of chatbots owned by the user
totalChatLogsintegerOptional
Total number of chat log entries of all chatbots
totalVisitorsintegerOptional
Total number of unique users who have interacted with the chatbots
totalDevicesintegerOptional
Sum of all devices used to initiate conversations
totalMobileDevicesintegerOptional
Total number of mobile devices used to initiate conversations
totalDesktopDevicesintegerOptional
Total number of desktop devices used to initiate conversations
401
Access token is missing or invalid
application/json
404
Chatbot not found
application/json
500
Internal server error
application/json
get
/integrations/chatbots/{chatbot_id}/analyticsLast updated